summaryrefslogtreecommitdiffstats
path: root/ci/deploy.sh
diff options
context:
space:
mode:
authorTim Rozet <trozet@redhat.com>2016-01-08 17:06:02 -0500
committerTim Rozet <trozet@redhat.com>2016-01-09 00:20:38 -0500
commit9a11a203fa228cad7a86ebf2cb28ae834d17decd (patch)
tree065a1ca971b76cb04bc1159ac52388b1ee168258 /ci/deploy.sh
parent194784ad1c2878a343377c7ea514ab2d8a95e06c (diff)
Fixes attaching instack interfaces to host
This applies only to baremetal deployments. Interfaces from admin and public networks are attached from the host to the OVS bridges brbm and brbm2 for external connectivity. Change-Id: If3f5b33eab267e05ee9094396daa40f37e69319a Signed-off-by: Tim Rozet <trozet@redhat.com>
Diffstat (limited to 'ci/deploy.sh')
-rwxr-xr-xci/deploy.sh9
1 files changed, 7 insertions, 2 deletions
diff --git a/ci/deploy.sh b/ci/deploy.sh
index 01bf003d..de3ef513 100755
--- a/ci/deploy.sh
+++ b/ci/deploy.sh
@@ -389,8 +389,13 @@ function configure_deps {
for network in ${enabled_network_list}; do
this_interface=$(eval echo \${${network}_bridged_interface})
# check if this a bridged interface for this network
- if [[ -n "$this_interface" || "$this_interface" != "none" ]]; then
- ovs-vsctl list-ports ${NET_MAP[$network]} | grep ${this_interface} || ovs-vsctl add-port ${NET_MAP[$network]} ${this_interface}
+ if [[ ! -z "$this_interface" || "$this_interface" != "none" ]]; then
+ if ! attach_interface_to_ovs ${NET_MAP[$network]} ${this_interface} ${network}; then
+ echo -e "${red}ERROR: Unable to bridge interface ${this_interface} to bridge ${NET_MAP[$network]} for enabled network: ${network}${reset}"
+ exit 1
+ else
+ echo -e "${blue}INFO: Interface ${this_interface} bridged to bridge ${NET_MAP[$network]} for enabled network: ${network}${reset}"
+ fi
else
echo "${red}ERROR: Unable to determine interface to bridge to for enabled network: ${network}${reset}"
exit 1